package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ZtPaidReportFacadeFactory
{
    private ZtPaidReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IZtPaidReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtPaidReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C6BBAB92") ,com.kingdee.eas.custom.gggl.IZtPaidReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IZtPaidReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtPaidReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C6BBAB92") ,com.kingdee.eas.custom.gggl.IZtPaidReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IZtPaidReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtPaidReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C6BBAB92"));
    }
    public static com.kingdee.eas.custom.gggl.IZtPaidReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtPaidReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C6BBAB92"));
    }
}